Bug 1202323 - MozillaFirefox & MozillaThunderbird fail with glibc 2.36
MozillaFirefox & MozillaThunderbird fail with glibc 2.36
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Firefox
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Factory Mozilla
E-mail List
:
Depends on:
Blocks: 1202207
  Show dependency treegraph
 
Reported: 2022-08-11 07:11 UTC by Martin Liška
Modified: 2022-08-14 12:40 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Martin Liška 2022-08-11 07:19:43 UTC
Fails due to:

[  817s] 11:51.42 In file included from Unified_c_src_third_party0.c:119:
[  817s] 11:51.42 /home/abuild/rpmbuild/BUILD/firefox-103.0.1/ipc/chromium/src/third_party/libevent/evutil.c:213:21: warning: argument 4 of type ‘int[2]’ with mismatched bound [-Warray-parameter=]
[  817s] 11:51.42   213 |     evutil_socket_t fd[2])
[  817s] 11:51.42 In file included from /home/abuild/rpmbuild/BUILD/firefox-103.0.1/ipc/chromium/src/third_party/libevent/include/event2/event.h:202,
[  817s] 11:51.42                  from /home/abuild/rpmbuild/BUILD/firefox-103.0.1/ipc/chromium/src/third_party/libevent/buffer.c:85,
[  817s] 11:51.42                  from Unified_c_src_third_party0.c:2:
[  817s] 11:51.42 /home/abuild/rpmbuild/BUILD/firefox-103.0.1/ipc/chromium/src/third_party/libevent/include/event2/util.h:310:25: note: previously declared as ‘int[]’
[  817s] 11:51.42   310 | #define evutil_socket_t int
[  817s] 11:51.42 /home/abuild/rpmbuild/BUILD/firefox-103.0.1/ipc/chromium/src/third_party/libevent/util-internal.h:306:47: note: in expansion of macro ‘evutil_socket_t’
[  817s] 11:51.42   306 | int evutil_ersatz_socketpair_(int, int , int, evutil_socket_t[]);
[  817s] 11:51.42       |                                               ^~~~~~~~~~~~~~~
[  817s] 11:51.45 In file included from /home/abuild/rpmbuild/BUILD/firefox-103.0.1/ipc/chromium/src/third_party/libevent/evutil_rand.c:134,
[  817s] 11:51.45                  from Unified_c_src_third_party0.c:128:
[  817s] 11:51.45 /home/abuild/rpmbuild/BUILD/firefox-103.0.1/ipc/chromium/src/third_party/libevent/./arc4random.c:488:1: error: static declaration of ‘arc4random_buf’ follows non-static declaration
[  817s] 11:51.45   488 | arc4random_buf(void *buf_, size_t n)
[  817s] 11:51.45       | ^~~~~~~~~~~~~~
[  817s] 11:51.45 In file included from /home/abuild/rpmbuild/BUILD/obj/dist/system_wrappers/stdlib.h:3,
[  817s] 11:51.45                  from /home/abuild/rpmbuild/BUILD/firefox-103.0.1/ipc/chromium/src/third_party/libevent/buffer.c:75:
[  817s] 11:51.45 /usr/include/stdlib.h:542:13: note: previous declaration of ‘arc4random_buf’ with type ‘void(void *, size_t)’ {aka ‘void(void *, long unsigned int)’}
[  817s] 11:51.45   542 | extern void arc4random_buf (void *__buf, size_t __size)
[  817s] 11:51.45       |             ^~~~~~~~~~~~~~
[  817s] 11:51.55 gmake[4]: *** [/home/abuild/rpmbuild/BUILD/firefox-103.0.1/config/rules.mk:590: Unified_c_src_third_party0.o] Error 1
[  817s] 11:51.55 gmake[4]: Leaving directory '/home/abuild/rpmbuild/BUILD/obj/ipc/chromium/src/third_party'
[  817s] 11:51.55 gmake[3]: *** [/home/abuild/rpmbuild/BUILD/firefox-103.0.1/config/recurse.mk:72: ipc/chromium/src/third_party/target-objects] Error 2
[  817s] 11:51.55 gmake[3]: *** Waiting for unfinished jobs....
Comment 2 Wolfgang Rosenauer 2022-08-13 06:29:14 UTC
I've put a candidate fix into mozilla:Factory/MozillaFirefox.

Is it possible to check if this works or do I need to SR into Factory for that first?
Once verified I can provide a fixed Thunderbird package as well.
Comment 3 Martin Liška 2022-08-13 13:37:15 UTC
(In reply to Wolfgang Rosenauer from comment #2)
> I've put a candidate fix into mozilla:Factory/MozillaFirefox.
> 
> Is it possible to check if this works or do I need to SR into Factory for
> that first?

Yes, it's fine.

> Once verified I can provide a fixed Thunderbird package as well.

You can easily do that with osc build --alternative-project openSUSE:Factory:Staging:B
Comment 4 OBSbugzilla Bot 2022-08-14 08:40:02 UTC
This is an autogenerated message for OBS integration:
This bug (1202323) was mentioned in
https://build.opensuse.org/request/show/994938 Factory / MozillaFirefox
Comment 5 Martin Liška 2022-08-14 11:55:12 UTC
Fixed in devel project.
Comment 6 OBSbugzilla Bot 2022-08-14 12:40:02 UTC
This is an autogenerated message for OBS integration:
This bug (1202323) was mentioned in
https://build.opensuse.org/request/show/995033 Factory / MozillaThunderbird